Managed Service for Gitlab API, REST: Instance.GetBackupDownloadUrls
Returns temporary download URLs for a completed backup and its GitLab secrets file.
HTTP request
GET https://gitlab.api.cloud.yandex.net/gitlab/v1/instances/{instanceId}/backups/{backupId}:getDownloadUrls
Path parameters
Request message for InstanceService.GetBackupDownloadUrls.
|
Field |
Description |
|
instanceId |
string Required field. ID of the GitLab instance that owns the backup. The maximum string length in characters is 50. |
|
backupId |
string Required field. ID of the completed backup to download. The maximum string length in characters is 50. |
Query parameters
Request message for InstanceService.GetBackupDownloadUrls.
|
Field |
Description |
|
ttl |
string (duration) Lifetime of the download URLs, from 1 hour to 7 days. Defaults to 1 hour. |
Response
HTTP Code: 200 - OK
{
"backupPresignedUrl": "string",
"secretsPresignedUrl": "string"
}
Response message for InstanceService.GetBackupDownloadUrls.
|
Field |
Description |
|
backupPresignedUrl |
string Signed URL for downloading the GitLab backup archive. |
|
secretsPresignedUrl |
string Signed URL for downloading the gitlab-secrets.json file. |